/* global variables */

extern HANDLE hInst;
extern HWND hAppWnd,hMDIClientWnd;
extern BOOL bInEmptyEvents;
extern HANDLE hAccTable;
extern BOOL bTraceUpdateBrowsers;
extern BOOL bTraceUpdateBrowsers, bLoaded;

/* srvrdde.c */
long InitServerDDE(void);
long FAR PASCAL ServerDDEWndProc(HWND,unsigned,WORD,LONG);
void ServerHonorRequest(void);

/* clntdde.c */
long FAR PASCAL ClientDDEWndProc(HWND,unsigned,WORD,LONG);
long ExecuteRemote(LPSTR,LPSTR,LPSTR);
long SetRemote(LPSTR,LPSTR,LPSTR,LPSTR);
long GetRemote(LPSTR,LPSTR FAR *,LPSTR,LPSTR);
art_symbol a_set_remote(art_symbol Item,art_symbol Value,art_symbol App,art_symbol Topic);
art_symbol a_execute_remote(art_symbol Command,art_symbol App,art_symbol Topic);
art_symbol a_get_remote(art_symbol Item,art_symbol App,art_symbol Topic);
art_symbol a_dde_initiate(art_symbol,art_symbol);
art_symbol a_dde_terminate(art_symbol);
art_symbol a_dde_receive(art_symbol,art_symbol);
art_symbol a_dde_poke(art_symbol,art_symbol,art_symbol);
art_symbol a_dde_advise(art_symbol,art_symbol,art_symbol);
art_symbol a_dde_unadvise(art_symbol,art_symbol);
art_symbol a_dde_execute(art_symbol,art_symbol);
art_integer a_dde_set_timeout(art_integer);

/* calldll.c */
art_symbol a_dll_locate(art_symbol,art_symbol,art_symbol);
art_symbol a_dll_call(art_symbol,
                      art_symbol,art_symbol,art_symbol,art_symbol,
                      art_symbol,art_symbol,art_symbol,art_symbol,
                      art_symbol,art_symbol,art_symbol,art_symbol,
                      art_symbol,art_symbol,art_symbol,art_symbol);
art_symbol a_dll_free(art_symbol);

/* pntutils.c */
art_external_pointer a_alloc_gmem(art_integer);
art_symbol a_free_gmem(art_external_pointer);
art_integer a_get_pointer_byte(art_external_pointer,art_integer);
art_integer a_get_pointer_word(art_external_pointer,art_integer);
art_integer a_get_pointer_dword(art_external_pointer,art_integer);
art_string a_get_pointer_string(art_external_pointer,art_integer);
art_object a_set_pointer_byte(art_external_pointer,art_integer,art_integer);
art_object a_set_pointer_word(art_external_pointer,art_integer,art_integer);
art_object a_set_pointer_dword(art_external_pointer,art_integer,art_integer);
art_object a_set_pointer_string(art_external_pointer,art_integer,art_string);
art_integer a_art_dialog_box(art_string,art_string,art_integer,art_function);
art_integer a_shift_left(art_integer,art_integer);
art_integer a_shift_right(art_integer,art_integer);
art_integer a_bitwise_and(art_integer,art_integer);
art_integer a_bitwise_or(art_integer,art_integer);
art_integer a_bitwise_xor(art_integer,art_integer);
art_integer a_hex(art_symbol);
art_integer a_get_app_instance(void);
art_integer a_get_wndproc(void);
art_symbol a_empty_event_queue(void);
art_symbol a_ignore_events(art_symbol);
long FAR PASCAL ArtWndProc(HWND,unsigned,WORD,LONG);
long FAR PASCAL ArtMDIWndProc(HWND,unsigned,WORD,LONG);
BOOL FAR PASCAL ArtDlgProc(HWND,unsigned,WORD,LONG);
art_float a_string_to_float(art_string);
art_integer a_string_to_integer(art_string);

/* cbrutil.c */
art_object a_cbrx_start(art_symbol,char *);
art_object a_cbrx_stop(art_symbol);
art_object a_cbrx_search(art_symbol,char *);


